Subject: Re: [PATCH] tcp: Expose the initial RTO via a new sysctl.

From: Hagen Paul Pfeifer <[email-masked]>
Date: Tue, 31 May 2011 17:25:22 +0200

On Tue, 31 May 2011 07:48:09 -0700, tsuna <[email-masked]> wrote:

> I talked to Jerry and he's agreed to share some patches that Google

> has been using internally for years.

Great!

> Personally what I think would be ideal would be:

>   1. A sysctl knob for initRTO, to allow people to adjust this

> appropriately for their environment.

>   2. Apply the srtt / rttvar seen on previous connections to new

>   connections.

> Does that sound reasonable?

> For 2), I'm not sure how the details would work yet, I believe the

> kernel already has what's necessary to remember these things on a per

> peer basis, but it would be nice if I could specify things like "for

> 10.x.0.0/16 (local datacenter) use this aggressive setting, for

> 10.0.0.0/8 (my internal backend network) use that, for everything else

> (Internets etc.) use the default".

Skip sysctl, it is deprecated. The initRTO is the ideal candidate for a

per route knob. And happily you will solve 2) with the per route thing too!

;-)

Search the web, you will find some patches where you can see how to extend

the per route system - including iproute2.

Hagen